Subject: bug#65589: closed (Re: [bug#65589] [PATCH emacs-team] gnu: emacs-rainbow-delimiters: Fix tests.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Sep 2023 05:07:02 +0000

Your bug report

#65589: [PATCH emacs-team] gnu: emacs-rainbow-delimiters: Fix tests.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65589: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65589
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#65589] [PATCH emacs-team] gnu: emacs-rainbow-delimiters: Fix tests.
From: Andrew Tropin <[email-masked]>
To: Hilton Chain <[email-masked]>
Cc: Katherine Cox-Buday <[email-masked]>, Liliana Marie Prikler <[email-masked]>, [email-masked]
Date: Mon, 04 Sep 2023 09:06:03 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2023-09-03 15:35, Hilton Chain wrote:

> On Sun, 03 Sep 2023 12:20:12 +0800,
> Andrew Tropin wrote:
>>
>> I see the the pull request in the comment merged, is this patch still
>> relevant?
>
> Still relevant.  I opened the pull request right before sending this
> patch, it's now merged but not in a release.

I see.  Thank you for your work!  Applied, checked the build, merged.

-- 
Best regards,
Andrew Tropin

Subject: [PATCH emacs-team] gnu: emacs-rainbow-delimiters: Fix tests.
From: Hilton Chain <[email-masked]>
To: [email-masked]
Cc: Hilton Chain <[email-masked]>
Date: Tue, 29 Aug 2023 11:23:30 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/emacs-xyz.scm (emacs-rainbow-delimiters): Adjust tests for
Emacs 29.
---
 gnu/packages/emacs-xyz.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 3514ae5fbe..1318ac57ae 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -14171,6 +14171,12 @@ (define-public emacs-rainbow-delimiters
                     (url "https://github.com/Fanael/rainbow-delimiters")
                     (commit version)))
               (file-name (git-file-name name version))
+              ;; Fix tests for Emacs 29
+              ;; https://github.com/Fanael/rainbow-delimiters/pull/78
+              (modules '((guix build utils)))
+              (snippet '(substitute* "rainbow-delimiters-test.el"
+                          (("category c-type " all)
+                           (string-append all "c-<>-c-types-set "))))
               (sha256
                (base32
                 "179mzsd8nvlr0ym9zf9fgdngsgxj3kdgbjblynliirsyk05ssrwc"))))

base-commit: 9d074e16c7a9879d67c348c7b2d70b725adfbdfa
-- 
2.41.0